Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
ifaddr.c File Reference
`#include "rubysocket.h"`
Include dependency graph for ifaddr.c:

Go to the source code of this file.

## Macros
#define | socket_s_getifaddrs rb_f_notimplement

## Functions
void | rsock_init_sockifaddr (void)

## Macro Definition Documentation

#define socket_s_getifaddrs rb_f_notimplement

Definition at line 433 of file ifaddr.c.

Referenced by rsock_init_sockifaddr().

## Function Documentation

void rsock_init_sockifaddr | ( | void |  | ) |

Definition at line 437 of file ifaddr.c.

References rb_cData, rb_cSocket, rb_define_class_under(), rb_define_method(), rb_define_singleton_method(), and socket_s_getifaddrs.

Referenced by rsock_init_socket_init().